Skip to main content

generateIssuesCsv

Generates a report in CSV format for company issues

generateIssuesCsv(
companyId: ID!
filters: IssuesFiltersInput = { ids: [], statuses: [], severities: [], failureTypes: [], projectTypes: [], assetIds: [], projectIds: [], integrationTypes: [], assetTags: [], createdAtRange: { }, title: "", partialTitle: "", cves: [], categories: [], statusChange: { from: [], to: [], date: { }, changedByEmails: [] }, statusInPeriod: { statuses: [], date: { } }, slaStates: [], riskAcceptedUntilRange: { }, scanIds: [], branchNames: [], reachableBy: [], aiAnalyzedAtRange: { }, lastUpdatedByIds: [], allBranches: false }
): Boolean

Arguments

generateIssuesCsv.companyId ● ID! non-null scalar

generateIssuesCsv.filters ● IssuesFiltersInput input

Type

Boolean scalar

The Boolean scalar type represents true or false.

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetGenerateIssuesCsv($companyId: ID!) {\n generateIssuesCsv(companyId: $companyId)\n}","variables":{"companyId":"<company_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.